%==========================================================================
% THE USER CAN DEFINE THE PROBLEM AND SET OPTIONS IN THE FOLLOWING LINES:                                                       
%==========================================================================

%%% (1) MODEL: 
model = 'JAKSTAT'; 
%%% The following models are provided with the toolbox:                 
% 'Pitavastatin' | 'Pitavastatin_ss' | 'Goodwin' | 'MAPK' | 'NFKB' | 'JAKSTAT' | 'Arabidopsis' | 'CHO' | 'CHO_115p'

%%% (2) PATHS:
paths.meigo     = 'C:\Users\alex\Documents\IDENTIFIABILITY\MEIGO_M-v03-07-2014\MEIGO_M';      
paths.models    = strcat(pwd,filesep,'models');
paths.results   = strcat(pwd,filesep,'results');
paths.functions = strcat(pwd,filesep,'functions');
                            
%%% (3) IDENTIFIABILITY OPTIONS:
opts.numeric    = 0;       % calculate rank numerically (= 1) or symbolically (= 0)
opts.knowninitc = 0;       % replace states with known initial conditions (= 1) or use generic values (= 0) when calculating rank
opts.initCond   = 1;       % check identifiability of initial conditions (1 = yes; 0 = no).
opts.findcombos = 0;       % try to find identifiable combinations? (1 = yes; 0 = no).
opts.unidentif  = 0;       % use method to try to establish unidentifiability instead of identifiability, when using decomposition. 
opts.forcedecomp= 0;       % always decompose model (1 = yes; 0 = no).
opts.decomp     = 0;       % decompose model if the whole model is too large (1 = yes; 0 = no: instead, calculate rank with few Lie derivatives).
opts.decomp_user= 0;       % when decomposing model, choose submodels 'a priori'. 
opts.maxLietime = 600;     % max. time allowed for calculating 1 Lie derivative.
opts.maxOpttime = 100;     % max. time allowed for every optimization (if optimization-based decomposition is used).
opts.maxstates  = 4;       % max. number of states in the submodels (if optimization-based decomposition is used).

%%% (4) User-defined submodels for decomposition (may be left = []):    
%%% Submodels are specified as a vector of states, as e.g.:
%         submodels    = []; 
%         submodels{1} = [1 2];
%         submodels{2} = [2 3];
                      
%%% (5) Parameters already classified as identifiable may be entered below.
%%% They must first be declared as symbolic variables. For example:
%         syms p1 p2
%         prev_ident_pars = [p1 p2];